Bug 740237 - SELinux is preventing /usr/sbin/dnsmasq from 'read' accesses on the file unix.
Summary: SELinux is preventing /usr/sbin/dnsmasq from 'read' accesses on the file unix.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0b17aacf45918217465a4ecb631...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 11:51 UTC by Jeff Layton
Modified: 2014-06-18 07:41 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.10.0-61.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-30 02:00:15 UTC


Attachments (Terms of Use)

Description Jeff Layton 2011-09-21 11:51:30 UTC
abrt version: 2.0.5
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.1.0-0.rc6.git0.3.fc16.x86_64
reason:         SELinux is preventing /usr/sbin/dnsmasq from 'read' accesses on the file unix.
time:           Wed Sep 21 07:54:49 2011

description:
:SELinux is preventing /usr/sbin/dnsmasq from 'read' accesses on the file unix.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that dnsmasq should be allowed read access on the unix file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep dnsmasq /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:dnsmasq_t:s0
:Target Context                system_u:object_r:proc_net_t:s0
:Target Objects                unix [ file ]
:Source                        dnsmasq
:Source Path                   /usr/sbin/dnsmasq
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           dnsmasq-2.58-2.fc16
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-28.fc16
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed)
:                              3.1.0-0.rc6.git0.3.fc16.x86_64 #1 SMP Fri Sep 16
:                              12:26:22 UTC 2011 x86_64 x86_64
:Alert Count                   6
:First Seen                    Mon 19 Sep 2011 03:15:48 PM EDT
:Last Seen                     Wed 21 Sep 2011 07:48:02 AM EDT
:Local ID                      03fd8235-a730-4084-8621-c43d1e15b96e
:
:Raw Audit Messages
:type=AVC msg=audit(1316605682.188:112): avc:  denied  { read } for  pid=5151 comm="dnsmasq" name="unix" dev=proc ino=4026532000 scontext=system_u:system_r:dnsmasq_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1316605682.188:112): arch=x86_64 syscall=access success=no exit=EACCES a0=7fff22875b20 a1=4 a2=7fff22875b2e a3=6664383a37646566 items=0 ppid=1 pid=5151 auid=4294967295 uid=99 gid=40 euid=99 suid=99 fsuid=99 egid=40 sgid=40 fsgid=40 tty=(none) ses=4294967295 comm=dnsmasq exe=/usr/sbin/dnsmasq subj=system_u:system_r:dnsmasq_t:s0 key=(null)
:
:Hash: dnsmasq,dnsmasq_t,proc_net_t,file,read
:
:audit2allow
:
:#============= dnsmasq_t ==============
:allow dnsmasq_t proc_net_t:file read;
:
:audit2allow -R
:
:#============= dnsmasq_t ==============
:allow dnsmasq_t proc_net_t:file read;
:

Comment 1 Daniel Walsh 2011-11-23 15:28:22 UTC
Miroslav lets add

kernel_read_network_state(dnsmasq_t)

Comment 2 Miroslav Grepl 2011-11-24 08:47:28 UTC
selinux-policy-3.10.0-59.fc16

Comment 3 Fedora Update System 2011-11-24 13:22:19 UTC
selinux-policy-3.10.0-59.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-59.fc16

Comment 4 Fedora Update System 2011-11-25 02:17:36 UTC
Package selinux-policy-3.10.0-60.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-60.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16371/selinux-policy-3.10.0-60.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-11-25 23:25:57 UTC
Package selinux-policy-3.10.0-61.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-61.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16371/selinux-policy-3.10.0-61.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-11-30 02:00:15 UTC
selinux-policy-3.10.0-61.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.